diff --git a/gcc/analyzer/constraint-manager.cc b/gcc/analyzer/constraint-manager.cc
index be51e79a4b9..d1e0a02d348 100644
--- a/gcc/analyzer/constraint-manager.cc
+++ b/gcc/analyzer/constraint-manager.cc
@@ -2144,278 +2083,278 @@ test_constraint_conditions ()
 
   /* Self-comparisons.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
-    ASSERT_CONDITION_TRUE2 (model, x, EQ_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, x, LE_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, x, GE_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, x, NE_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, x, LT_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, x, GT_EXPR, x);
+    region_model_manager mgr;
+    region_model model (&mgr);
+    ASSERT_CONDITION_TRUE (model, x, EQ_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, x, LE_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, x, GE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, x, NE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, x, LT_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, x, GT_EXPR, x);
   }
 
   /* Adding self-equality shouldn't add equiv classes.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, x);
     ADD_SAT_CONSTRAINT (model, int_42, EQ_EXPR, int_42);
     /* ...even when done directly via svalues: */
-    const svalue2 *sval_int_42 = model.get_rvalue (int_42, NULL);
-    bool sat = model.get_constraints2 ()->add_constraint (sval_int_42,
+    const svalue *sval_int_42 = model.get_rvalue (int_42, NULL);
+    bool sat = model.get_constraints ()->add_constraint (sval_int_42,
 							  EQ_EXPR,
 							  sval_int_42);
     ASSERT_TRUE (sat);
-    ASSERT_EQ (model.get_constraints2 ()->m_equiv_classes.length (), 0);
+    ASSERT_EQ (model.get_constraints ()->m_equiv_classes.length (), 0);
   }
 
   /* x == y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, EQ_EXPR, y);
+    region_model_manager mgr;
+    region_model model (&mgr);
+    ASSERT_CONDITION_UNKNOWN (model, x, EQ_EXPR, y);
 
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, y);
 
-    ASSERT_CONDITION_TRUE2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, LE_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, GE_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, NE_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, LT_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, GT_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, LE_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, GE_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, NE_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, LT_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, GT_EXPR, y);
 
     /* Swapped operands.  */
-    ASSERT_CONDITION_TRUE2 (model, y, EQ_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, LE_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, GE_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, y, NE_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, y, LT_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, y, GT_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, EQ_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, LE_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, GE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, NE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, LT_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, GT_EXPR, x);
 
     /* Comparison with other var.  */
-    ASSERT_CONDITION_UNKNOWN2 (model, x, EQ_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, LE_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GE_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, NE_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, LT_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GT_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, EQ_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, LE_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, GE_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, NE_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, LT_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, GT_EXPR, z);
   }
 
   /* x == y, then y == z  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, EQ_EXPR, y);
+    region_model_manager mgr;
+    region_model model (&mgr);
+    ASSERT_CONDITION_UNKNOWN (model, x, EQ_EXPR, y);
 
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, y);
     ADD_SAT_CONSTRAINT (model, y, EQ_EXPR, z);
 
-    ASSERT_CONDITION_TRUE2 (model, x, EQ_EXPR, z);
-    ASSERT_CONDITION_TRUE2 (model, x, LE_EXPR, z);
-    ASSERT_CONDITION_TRUE2 (model, x, GE_EXPR, z);
-    ASSERT_CONDITION_FALSE2 (model, x, NE_EXPR, z);
-    ASSERT_CONDITION_FALSE2 (model, x, LT_EXPR, z);
-    ASSERT_CONDITION_FALSE2 (model, x, GT_EXPR, z);
+    ASSERT_CONDITION_TRUE (model, x, EQ_EXPR, z);
+    ASSERT_CONDITION_TRUE (model, x, LE_EXPR, z);
+    ASSERT_CONDITION_TRUE (model, x, GE_EXPR, z);
+    ASSERT_CONDITION_FALSE (model, x, NE_EXPR, z);
+    ASSERT_CONDITION_FALSE (model, x, LT_EXPR, z);
+    ASSERT_CONDITION_FALSE (model, x, GT_EXPR, z);
   }
 
   /* x != y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
 
     ADD_SAT_CONSTRAINT (model, x, NE_EXPR, y);
 
-    ASSERT_CONDITION_TRUE2 (model, x, NE_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, LE_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GE_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, LT_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GT_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, NE_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, LE_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, GE_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, LT_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, GT_EXPR, y);
 
     /* Swapped operands.  */
-    ASSERT_CONDITION_TRUE2 (model, y, NE_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, y, EQ_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, LE_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, GE_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, LT_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, GT_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, NE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, EQ_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, LE_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, GE_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, LT_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, GT_EXPR, x);
 
     /* Comparison with other var.  */
-    ASSERT_CONDITION_UNKNOWN2 (model, x, EQ_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, LE_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GE_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, NE_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, LT_EXPR, z);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GT_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, EQ_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, LE_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, GE_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, NE_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, LT_EXPR, z);
+    ASSERT_CONDITION_UNKNOWN (model, x, GT_EXPR, z);
   }
 
   /* x < y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
 
     ADD_SAT_CONSTRAINT (model, x, LT_EXPR, y);
 
-    ASSERT_CONDITION_TRUE2 (model, x, LT_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, LE_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, NE_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, GT_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, GE_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, LT_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, LE_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, NE_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, GT_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, GE_EXPR, y);
 
     /* Swapped operands.  */
-    ASSERT_CONDITION_FALSE2 (model, y, LT_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, y, LE_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, NE_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, y, EQ_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, GT_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, GE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, LT_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, LE_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, NE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, EQ_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, GT_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, GE_EXPR, x);
   }
 
   /* x <= y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
 
     ADD_SAT_CONSTRAINT (model, x, LE_EXPR, y);
 
-    ASSERT_CONDITION_UNKNOWN2 (model, x, LT_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, LE_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, NE_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, GT_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GE_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, LT_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, LE_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, NE_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, GT_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, GE_EXPR, y);
 
     /* Swapped operands.  */
-    ASSERT_CONDITION_FALSE2 (model, y, LT_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, LE_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, NE_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, EQ_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, GT_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, GE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, LT_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, LE_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, NE_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, EQ_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, GT_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, GE_EXPR, x);
   }
 
   /* x > y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
 
     ADD_SAT_CONSTRAINT (model, x, GT_EXPR, y);
 
-    ASSERT_CONDITION_TRUE2 (model, x, GT_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, GE_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, NE_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, LT_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, LE_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, GT_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, GE_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, NE_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, LT_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, LE_EXPR, y);
 
     /* Swapped operands.  */
-    ASSERT_CONDITION_FALSE2 (model, y, GT_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, y, GE_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, NE_EXPR, x);
-    ASSERT_CONDITION_FALSE2 (model, y, EQ_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, LT_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, LE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, GT_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, GE_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, NE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, EQ_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, LT_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, LE_EXPR, x);
   }
 
   /* x >= y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
 
     ADD_SAT_CONSTRAINT (model, x, GE_EXPR, y);
 
-    ASSERT_CONDITION_UNKNOWN2 (model, x, GT_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, GE_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, NE_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, LT_EXPR, y);
-    ASSERT_CONDITION_UNKNOWN2 (model, x, LE_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, GT_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, GE_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, NE_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, LT_EXPR, y);
+    ASSERT_CONDITION_UNKNOWN (model, x, LE_EXPR, y);
 
     /* Swapped operands.  */
-    ASSERT_CONDITION_FALSE2 (model, y, GT_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, GE_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, NE_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, EQ_EXPR, x);
-    ASSERT_CONDITION_UNKNOWN2 (model, y, LT_EXPR, x);
-    ASSERT_CONDITION_TRUE2 (model, y, LE_EXPR, x);
+    ASSERT_CONDITION_FALSE (model, y, GT_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, GE_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, NE_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, EQ_EXPR, x);
+    ASSERT_CONDITION_UNKNOWN (model, y, LT_EXPR, x);
+    ASSERT_CONDITION_TRUE (model, y, LE_EXPR, x);
   }
 
   // TODO: implied orderings
 
   /* Constants.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
-    ASSERT_CONDITION_FALSE2 (model, int_0, EQ_EXPR, int_42);
-    ASSERT_CONDITION_TRUE2 (model, int_0, NE_EXPR, int_42);
-    ASSERT_CONDITION_TRUE2 (model, int_0, LT_EXPR, int_42);
-    ASSERT_CONDITION_TRUE2 (model, int_0, LE_EXPR, int_42);
-    ASSERT_CONDITION_FALSE2 (model, int_0, GT_EXPR, int_42);
-    ASSERT_CONDITION_FALSE2 (model, int_0, GE_EXPR, int_42);
+    region_model_manager mgr;
+    region_model model (&mgr);
+    ASSERT_CONDITION_FALSE (model, int_0, EQ_EXPR, int_42);
+    ASSERT_CONDITION_TRUE (model, int_0, NE_EXPR, int_42);
+    ASSERT_CONDITION_TRUE (model, int_0, LT_EXPR, int_42);
+    ASSERT_CONDITION_TRUE (model, int_0, LE_EXPR, int_42);
+    ASSERT_CONDITION_FALSE (model, int_0, GT_EXPR, int_42);
+    ASSERT_CONDITION_FALSE (model, int_0, GE_EXPR, int_42);
   }
 
   /* x == 0, y == 42.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, int_0);
     ADD_SAT_CONSTRAINT (model, y, EQ_EXPR, int_42);
 
-    ASSERT_CONDITION_TRUE2 (model, x, NE_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, EQ_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, LE_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, GE_EXPR, y);
-    ASSERT_CONDITION_TRUE2 (model, x, LT_EXPR, y);
-    ASSERT_CONDITION_FALSE2 (model, x, GT_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, NE_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, EQ_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, LE_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, GE_EXPR, y);
+    ASSERT_CONDITION_TRUE (model, x, LT_EXPR, y);
+    ASSERT_CONDITION_FALSE (model, x, GT_EXPR, y);
   }
 
   /* Unsatisfiable combinations.  */
 
   /* x == y && x != y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, y);
     ADD_UNSAT_CONSTRAINT (model, x, NE_EXPR, y);
   }
 
   /* x == 0 then x == 42.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, int_0);
     ADD_UNSAT_CONSTRAINT (model, x, EQ_EXPR, int_42);
   }
 
   /* x == 0 then x != 0.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, int_0);
     ADD_UNSAT_CONSTRAINT (model, x, NE_EXPR, int_0);
   }
 
   /* x == 0 then x > 0.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, x, EQ_EXPR, int_0);
     ADD_UNSAT_CONSTRAINT (model, x, GT_EXPR, int_0);
   }
 
   /* x != y && x == y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, x, NE_EXPR, y);
     ADD_UNSAT_CONSTRAINT (model, x, EQ_EXPR, y);
   }
 
   /* x <= y && x > y.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, x, LE_EXPR, y);
     ADD_UNSAT_CONSTRAINT (model, x, GT_EXPR, y);
   }
@@ -2435,89 +2374,89 @@ test_transitivity ()
 
   /* a == b, then c == d, then c == b.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
-    ASSERT_CONDITION_UNKNOWN2 (model, a, EQ_EXPR, b);
-    ASSERT_CONDITION_UNKNOWN2 (model, b, EQ_EXPR, c);
-    ASSERT_CONDITION_UNKNOWN2 (model, c, EQ_EXPR, d);
-    ASSERT_CONDITION_UNKNOWN2 (model, a, EQ_EXPR, d);
+    region_model_manager mgr;
+    region_model model (&mgr);
+    ASSERT_CONDITION_UNKNOWN (model, a, EQ_EXPR, b);
+    ASSERT_CONDITION_UNKNOWN (model, b, EQ_EXPR, c);
+    ASSERT_CONDITION_UNKNOWN (model, c, EQ_EXPR, d);
+    ASSERT_CONDITION_UNKNOWN (model, a, EQ_EXPR, d);
 
     ADD_SAT_CONSTRAINT (model, a, EQ_EXPR, b);
-    ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, b);
+    ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, b);
 
     ADD_SAT_CONSTRAINT (model, c, EQ_EXPR, d);
-    ASSERT_CONDITION_TRUE2 (model, c, EQ_EXPR, d);
-    ASSERT_CONDITION_UNKNOWN2 (model, a, EQ_EXPR, d);
+    ASSERT_CONDITION_TRUE (model, c, EQ_EXPR, d);
+    ASSERT_CONDITION_UNKNOWN (model, a, EQ_EXPR, d);
 
     ADD_SAT_CONSTRAINT (model, c, EQ_EXPR, b);
-    ASSERT_CONDITION_TRUE2 (model, c, EQ_EXPR, b);
-    ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, d);
+    ASSERT_CONDITION_TRUE (model, c, EQ_EXPR, b);
+    ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, d);
   }
 
   /* Transitivity: "a < b", "b < c" should imply "a < c".  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, LT_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, LT_EXPR, c);
 
-    ASSERT_CONDITION_TRUE2 (model, a, LT_EXPR, c);
-    ASSERT_CONDITION_FALSE2 (model, a, EQ_EXPR, c);
+    ASSERT_CONDITION_TRUE (model, a, LT_EXPR, c);
+    ASSERT_CONDITION_FALSE (model, a, EQ_EXPR, c);
   }
 
   /* Transitivity: "a <= b", "b < c" should imply "a < c".  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, LE_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, LT_EXPR, c);
 
-    ASSERT_CONDITION_TRUE2 (model, a, LT_EXPR, c);
-    ASSERT_CONDITION_FALSE2 (model, a, EQ_EXPR, c);
+    ASSERT_CONDITION_TRUE (model, a, LT_EXPR, c);
+    ASSERT_CONDITION_FALSE (model, a, EQ_EXPR, c);
   }
 
   /* Transitivity: "a <= b", "b <= c" should imply "a <= c".  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, LE_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, LE_EXPR, c);
 
-    ASSERT_CONDITION_TRUE2 (model, a, LE_EXPR, c);
-    ASSERT_CONDITION_UNKNOWN2 (model, a, EQ_EXPR, c);
+    ASSERT_CONDITION_TRUE (model, a, LE_EXPR, c);
+    ASSERT_CONDITION_UNKNOWN (model, a, EQ_EXPR, c);
   }
 
   /* Transitivity: "a > b", "b > c" should imply "a > c".  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GT_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, GT_EXPR, c);
 
-    ASSERT_CONDITION_TRUE2 (model, a, GT_EXPR, c);
-    ASSERT_CONDITION_FALSE2 (model, a, EQ_EXPR, c);
+    ASSERT_CONDITION_TRUE (model, a, GT_EXPR, c);
+    ASSERT_CONDITION_FALSE (model, a, EQ_EXPR, c);
   }
 
   /* Transitivity: "a >= b", "b > c" should imply " a > c".  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GE_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, GT_EXPR, c);
 
-    ASSERT_CONDITION_TRUE2 (model, a, GT_EXPR, c);
-    ASSERT_CONDITION_FALSE2 (model, a, EQ_EXPR, c);
+    ASSERT_CONDITION_TRUE (model, a, GT_EXPR, c);
+    ASSERT_CONDITION_FALSE (model, a, EQ_EXPR, c);
   }
 
   /* Transitivity: "a >= b", "b >= c" should imply "a >= c".  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GE_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, GE_EXPR, c);
 
-    ASSERT_CONDITION_TRUE2 (model, a, GE_EXPR, c);
-    ASSERT_CONDITION_UNKNOWN2 (model, a, EQ_EXPR, c);
+    ASSERT_CONDITION_TRUE (model, a, GE_EXPR, c);
+    ASSERT_CONDITION_UNKNOWN (model, a, EQ_EXPR, c);
   }
 
   /* Transitivity: "(a < b)", "(c < d)", "(b < c)" should
@@ -2527,36 +2466,36 @@ test_transitivity ()
      but also that:
        (a < d).  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, LT_EXPR, b);
     ADD_SAT_CONSTRAINT (model, c, LT_EXPR, d);
     ADD_SAT_CONSTRAINT (model, b, LT_EXPR, c);
 
-    ASSERT_CONDITION_TRUE2 (model, a, LT_EXPR, c);
-    ASSERT_CONDITION_TRUE2 (model, b, LT_EXPR, d);
-    ASSERT_CONDITION_TRUE2 (model, a, LT_EXPR, d);
+    ASSERT_CONDITION_TRUE (model, a, LT_EXPR, c);
+    ASSERT_CONDITION_TRUE (model, b, LT_EXPR, d);
+    ASSERT_CONDITION_TRUE (model, a, LT_EXPR, d);
   }
 
   /* Transitivity: "a >= b", "b >= a" should imply that a == b.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GE_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, GE_EXPR, a);
 
     // TODO:
-    ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, b);
+    ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, b);
 
     /* The ECs for a and b should have merged, and any constraints removed.  */
-    ASSERT_EQ (model.get_constraints2 ()->m_equiv_classes.length (), 1);
-    ASSERT_EQ (model.get_constraints2 ()->m_constraints.length (), 0);
+    ASSERT_EQ (model.get_constraints ()->m_equiv_classes.length (), 1);
+    ASSERT_EQ (model.get_constraints ()->m_constraints.length (), 0);
   }
 
   /* Transitivity: "a >= b", "b > a" should be impossible.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GE_EXPR, b);
     ADD_UNSAT_CONSTRAINT (model, b, GT_EXPR, a);
   }
@@ -2564,20 +2503,20 @@ test_transitivity ()
   /* Transitivity: "a >= b", "b >= c", "c >= a" should imply
      that a == b == c.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GE_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, GE_EXPR, c);
     ADD_SAT_CONSTRAINT (model, c, GE_EXPR, a);
 
-    ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, c);
+    ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, c);
   }
 
   /* Transitivity: "a > b", "b > c", "c > a"
      should be impossible.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GT_EXPR, b);
     ADD_SAT_CONSTRAINT (model, b, GT_EXPR, c);
     ADD_UNSAT_CONSTRAINT (model, c, GT_EXPR, a);
@@ -2603,36 +2542,36 @@ test_constant_comparisons ()
 
   /* Given a >= 1024, then a <= 1023 should be impossible.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GE_EXPR, int_1024);
     ADD_UNSAT_CONSTRAINT (model, a, LE_EXPR, int_1023);
   }
 
   /* a > 4.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GT_EXPR, int_4);
-    ASSERT_CONDITION_TRUE2 (model, a, GT_EXPR, int_4);
-    ASSERT_CONDITION_TRUE2 (model, a, NE_EXPR, int_3);
-    ASSERT_CONDITION_UNKNOWN2 (model, a, NE_EXPR, int_5);
+    ASSERT_CONDITION_TRUE (model, a, GT_EXPR, int_4);
+    ASSERT_CONDITION_TRUE (model, a, NE_EXPR, int_3);
+    ASSERT_CONDITION_UNKNOWN (model, a, NE_EXPR, int_5);
   }
 
   /* a <= 4.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, LE_EXPR, int_4);
-    ASSERT_CONDITION_FALSE2 (model, a, GT_EXPR, int_4);
-    ASSERT_CONDITION_FALSE2 (model, a, GT_EXPR, int_5);
-    ASSERT_CONDITION_UNKNOWN2 (model, a, NE_EXPR, int_3);
+    ASSERT_CONDITION_FALSE (model, a, GT_EXPR, int_4);
+    ASSERT_CONDITION_FALSE (model, a, GT_EXPR, int_5);
+    ASSERT_CONDITION_UNKNOWN (model, a, NE_EXPR, int_3);
   }
 
   /* If "a > b" and "a == 3", then "b == 4" ought to be unsatisfiable.  */
   {
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, a, GT_EXPR, b);
     ADD_SAT_CONSTRAINT (model, a, EQ_EXPR, int_3);
     ADD_UNSAT_CONSTRAINT (model, b, EQ_EXPR, int_4);
@@ -2643,47 +2582,47 @@ test_constant_comparisons ()
     /* If "a <= 4" && "a > 3", then "a == 4",
        assuming a is of integral type.  */
     {
-      region_model2_manager mgr;
-      region_model2 model (&mgr);
+      region_model_manager mgr;
+      region_model model (&mgr);
       ADD_SAT_CONSTRAINT (model, a, LE_EXPR, int_4);
       ADD_SAT_CONSTRAINT (model, a, GT_EXPR, int_3);
-      ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, int_4);
+      ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, int_4);
     }
 
     /* If "a > 3" && "a <= 4", then "a == 4",
        assuming a is of integral type.  */
     {
-      region_model2_manager mgr;
-      region_model2 model (&mgr);
+      region_model_manager mgr;
+      region_model model (&mgr);
       ADD_SAT_CONSTRAINT (model, a, GT_EXPR, int_3);
       ADD_SAT_CONSTRAINT (model, a, LE_EXPR, int_4);
-      ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, int_4);
+      ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, int_4);
     }
     /* If "a > 3" && "a < 5", then "a == 4",
        assuming a is of integral type.  */
     {
-      region_model2_manager mgr;
-      region_model2 model (&mgr);
+      region_model_manager mgr;
+      region_model model (&mgr);
       ADD_SAT_CONSTRAINT (model, a, GT_EXPR, int_3);
       ADD_SAT_CONSTRAINT (model, a, LT_EXPR, int_5);
-      ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, int_4);
+      ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, int_4);
     }
     /* If "a >= 4" && "a < 5", then "a == 4",
        assuming a is of integral type.  */
     {
-      region_model2_manager mgr;
-      region_model2 model (&mgr);
+      region_model_manager mgr;
+      region_model model (&mgr);
       ADD_SAT_CONSTRAINT (model, a, GE_EXPR, int_4);
       ADD_SAT_CONSTRAINT (model, a, LT_EXPR, int_5);
-      ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, int_4);
+      ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, int_4);
     }
     /* If "a >= 4" && "a <= 4", then "a == 4".  */
     {
-      region_model2_manager mgr;
-      region_model2 model (&mgr);
+      region_model_manager mgr;
+      region_model model (&mgr);
       ADD_SAT_CONSTRAINT (model, a, GE_EXPR, int_4);
       ADD_SAT_CONSTRAINT (model, a, LE_EXPR, int_4);
-      ASSERT_CONDITION_TRUE2 (model, a, EQ_EXPR, int_4);
+      ASSERT_CONDITION_TRUE (model, a, EQ_EXPR, int_4);
     }
   }
 
@@ -2694,17 +2633,17 @@ test_constant_comparisons ()
     tree float_3 = build_real_from_int_cst (double_type_node, int_3);
     tree float_4 = build_real_from_int_cst (double_type_node, int_4);
 
-    region_model2_manager mgr;
-    region_model2 model (&mgr);
+    region_model_manager mgr;
+    region_model model (&mgr);
     ADD_SAT_CONSTRAINT (model, f, GT_EXPR, float_3);
     ADD_SAT_CONSTRAINT (model, f, LE_EXPR, float_4);
-    ASSERT_CONDITION_UNKNOWN2 (model, f, EQ_EXPR, float_4);
-    ASSERT_CONDITION_UNKNOWN2 (model, f, EQ_EXPR, int_4);
+    ASSERT_CONDITION_UNKNOWN (model, f, EQ_EXPR, float_4);
+    ASSERT_CONDITION_UNKNOWN (model, f, EQ_EXPR, int_4);
   }
 }
 
 /* Verify various lower-level implementation details about
-   constraint_manager2.  */
+   constraint_manager.  */
 
 static void
 test_constraint_impl ()
